<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HRML Tables and Forms</title>
</head>
<body>

	<div>
		<h2>HTML Entities</h2>
		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>
	</div>
	<div id="table">
		<!-- defines or creates an HTML table -->
		<table border="1">
			<!-- groups table header content -->
			<thead>
				<!-- defines a table row -->
				<tr>
					<!-- table headings -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>

			<!-- used to group table body -->
			<tbody>
				<!-- row 1 for less than -->
	            <tr>
	                <!-- Defines a table data element -->
	                <td>&lt;</td>
	                <td>lt</td>
	                <td>less than</td>
	            </tr>
	            <!-- row 2 for greater than -->
	            <tr>
	                <td>&gt;</td>
	                <td>gt</td>
	                <td>geater than</td>
	            </tr>
	            <!-- row 3 for peso sign  -->
	            <tr>
	                <td>&#8369;</td>
	                <td>#8369</td>
	                <td>peso sign</td>
	            </tr>
	            <tr>
	                <td>&amp;</td>
	                <td>amp</td>
	                <td>ampersand</td>
	            </tr>
	            <tr>
	                <td>&quot;</td>
	                <td>quot</td>
	                <td>double quotation mark</td>
	            </tr>
	            <tr>
	                <td>&apos;</td>
	                <td>apos</td>
	                <td>single quotation mark</td>
	            </tr>
	            <tr>
	                <td>&ntilde;</td>
	                <td>ntilde</td>
	                <td>Lower Tilde</td>
	            </tr>
	            <tr>
	                <td>&Ntilde;</td>
	                <td>Ntilde</td>
	                <td>Upper Tilde</td>
	            </tr>	
			</tbody>
			<tfoot>

				<th colspan="3">End</th>
			</tfoot>
	</table>
	</div>
	
	<hr>
	<h1>HTML Forms</h1>
	<div id="form">
		<form action="https://google.com" target="_blank">
			<label for="fullName">Full Name:</label> <br>
			<input type="text" id="fullName" required> <br>
			<label for="birthDate">Birth Date:</label> <br>
			<input type="date" name="birthDate" id="birthDate"> <br>
			<label for="age">Age:</label> <br>
			<input type="number" name="age" id="age"> <br>

			<label for="gender">Gender:</label> <br>
			<!-- create dropdown menu -->
			<select id="gender" required>
				<!-- creates options menu -->
				<option value=""></option>
				<option value="Male">Male</option>
				<option value="Female">Female</option>
				<option value="Other">Profer not to specify</option>
			</select>
			<br>
			<label>New User:</label>
			<br>

			<input type="radio" name="userType" id="userYes" value="yes"> 
			<label for="userYes">Yes</label>
			
			<input type="radio" name="userType" id="userNo" value="no"> 
			<label for="userNo">No</label>

			<br>
			<label for="notes">Notes:</label> <br>
			<textarea name="notes" id="notes" rows="5"></textarea>
			<br>
			<label>Role:</label> <br>

			<input type="checkbox" name="role1" id="role1" value="developer"> <label for="role1">Developer</label> <br>

			<input type="checkbox" name="role2" id="role2" value="student"> <label for="role1">Student</label> <br>

			<input type="checkbox" name="role3" id="role3" value="manager"> <label for="role3">Manager</label> <br>




			<br>		
			<button type="submit">Submit</button> <br>
			<button type="reset">Reset</button>
		</form>
	</div>

</body>
</html>